Package be.fgov.ehealth.mycarenet.commons.core.v2

# Class OriginType

java.lang.Object
be.fgov.ehealth.mycarenet.commons.core.v2.OriginType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:15+02:00", comments="JAXB RI v4.0.5") public class OriginType extends Object implements Serializable
Information about the originator of the request.

Java class for OriginType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OriginType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Package" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v2}PackageType"/>
             <element name="SiteID" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v2}ValueRefString" minOccurs="0"/>
             <element name="CareProvider" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v2}CareProviderType" minOccurs="0"/>
             <element name="Sender" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v2}PartyType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OriginType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CareProviderType`
  `getCareProvider()`
  The care provider for which the request was sent.
  `PackageType`
  `getPackage()`
  The package that the originator used to send the request.
  `PartyType`
  `getSender()`
  The sender of the request if it isn't the care provider.
  `ValueRefString`
  `getSiteID()`
  Gets the value of the siteID property.
  `void`
  `setCareProvider(CareProviderType value)`
  Sets the value of the careProvider property.
  `void`
  `setPackage(PackageType value)`
  Sets the value of the package property.
  `void`
  `setSender(PartyType value)`
  Sets the value of the sender property.
  `void`
  `setSiteID(ValueRefString value)`
  Sets the value of the siteID property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OriginType

    public OriginType()

- ## Method Details

  - ### getPackage

    public PackageType getPackage()
    The package that the originator used to send the request.
    Returns:
      possible object is `PackageType`

  - ### setPackage

    public void setPackage(PackageType value)
    Sets the value of the package property.
    Parameters:
      `value` - allowed object is `PackageType`
    See Also:
      - `getPackage()`

  - ### getSiteID

    public ValueRefString getSiteID()
    Gets the value of the siteID property.
    Returns:
      possible object is `ValueRefString`

  - ### setSiteID

    public void setSiteID(ValueRefString value)
    Sets the value of the siteID property.
    Parameters:
      `value` - allowed object is `ValueRefString`

  - ### getCareProvider

    public CareProviderType getCareProvider()
    The care provider for which the request was sent. This is not necessary the party that sent the request, but it can be.
    Returns:
      possible object is `CareProviderType`

  - ### setCareProvider

    public void setCareProvider(CareProviderType value)
    Sets the value of the careProvider property.
    Parameters:
      `value` - allowed object is `CareProviderType`
    See Also:
      - `getCareProvider()`

  - ### getSender

    public PartyType getSender()
    The sender of the request if it isn't the care provider.
    Returns:
      possible object is `PartyType`

  - ### setSender

    public void setSender(PartyType value)
    Sets the value of the sender property.
    Parameters:
      `value` - allowed object is `PartyType`
    See Also:
      - `getSender()`